The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> cfgetospeed - get output baud rate

#### SYNOPSIS

> ``#include <termios.h>
> speed_t cfgetospeed(const struct termios *`termios_p`);
> ``

#### DESCRIPTION

> The cfgetospeed() function shall extract the output baud rate from the termios structure to which the termios_p argument points.

> This function shall return exactly the value in the termios data structure, without interpretation.

#### RETURN VALUE

> Upon successful completion, cfgetospeed() shall return a value of type speed_t representing the output baud rate.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> Refer to cfgetispeed().

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> cfgetispeed(), cfsetispeed(), cfsetospeed(), tcgetattr(), the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 11, General Terminal Interface, <termios.h>

#### CHANGE HISTORY

> First released in Issue 3. Included for alignment with the POSIX.1-1988 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]